# $Revision: 1.65 $, $Date: 2002/10/18 11:49:24 $
#
# Conditional build:
# _without_gnome - build without libgnomecanvaspixbuf (which requires GNOME)
#
Summary:	Image loading library used with GNOME
Summary(pl):	Biblioteka adujca obrazki uywana w GNOME
Summary(pt_BR):	Biblioteca GdkPixBuf para manipulao de imagens
Summary(ru):	      Gdk
Summary(uk):	̦      Gdk
Name:		gdk-pixbuf
Version:	0.21.0
Release:	1
Epoch:		1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/0.21/%{name}-%{version}.tar.bz2
Patch0:		%{name}-am.patch
Patch1:		%{name}-nognome.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gtk+-devel
%{!?_without_gnome:BuildRequires:	gnome-libs-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libpng >= 1.0.8
BuildRequires:	libungif-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_gtkdocdir	%{_defaultdocdir}/gtk-doc/html

%description
The GdkPixBuf library provides a number of features:
 - image loading facilities,
 - rendering of a GdkPixBuf into various formats: drawables (windows,
   pixmaps), GdkRGB buffers,
 - a cache interface.

%description -l pl
Biblioteka GdkPixBuf posiada due moliwoci:
 - funkcje wspomagajce adowanie obrazkw,
 - oddanie GdkPixBuf w rnych formatach, do rysowania (okna, pixmapy)
   czy bufory GdkRGB,
 - interfejs pamici podrcznej.

%description -l pt_BR
A biblioteca GdkPixBuf oferece:

- Estrutura GdkPixBuf para representar imagens.
- Facilidades para carga de imagens.
- Maneira simples de carregar imagens animadas.
- Vrios formatos: desenhveis (windows, pixmaps), buffers GdkRGB.

%description -l ru
 GdkPixBuf     
    : , ,  GdkRGB.

%description -l uk
̦ GdkPixBuf  Ԧ   
   ҦΦ : צ, Ц,  GdkRGB.

%package devel
Summary:	Include files for the gdk-pixbuf
Summary(pl):	Pliki nagwkowe dla gdk-pixbuf
Summary(pt_BR):	Bibliotecas e arquivos cabealhos para desenvolvimento
Summary(ru):	     GdkPixBuf
Summary(uk):	     GdkPixBuf
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk-doc-common

%description devel
Include files for the gdk-pixbuf.

%description devel -l pl
Pliki nagwkowe dla gdk-pixbuf.

%description devel -l pt_BR
Bibliotecas e arquivos cabealhos para desenvolvimento de aplicativos
baseados nessa biblioteca.

%description devel -l ru
,    ,  GdkPixBuf.

%description devel -l uk
, ȦΦ   ,   GdkPixBuf.

%package static
Summary:	Static gdk-pixbuf libraries
Summary(pl):	Biblioteki statyczne gdk-pixbuf
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com gdk-pixbuf
Summary(ru):	     GdkPixBuf
Summary(uk):	Φ ¦̦    GdkPixBuf
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static gdk-pixbuf libraries.

%description static -l pl
Statyczne biblioteki gdk-pixbuf.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com gdk-pixbuf.

%description static -l ru
       ,
 GdkPixBuf.

%description static -l uk
  ͦ Φ ¦̦  , ˦ 
GdkPixBuf.

%package gnome
Summary:	GNOME part of gdk-pixbuf library
Summary(pl):	Cz gdk-pixbuf zwizana z GNOME
Summary(ru):	      Gdk
Summary(uk):	̦      Gdk
Group:		X11/Libraries
Requires:	%{name} = %{version}

%description gnome
GNOME part of gdk-pixbuf library.

%description gnome -l pl
Cz gdk-pixbuf zwizana z GNOME.

%description gnome -l ru
 GdkPixBuf     
    : , ,  GdkRGB.

%description gnome -l uk
̦ GdkPixBuf  Ԧ   
   ҦΦ : צ, Ц,  GdkRGB.

%package gnome-devel
Summary:	GNOME part of gdk-pixbuf library - development files
Summary(pl):	Cz gdk-pixbuf zwizana z GNOME - pliki dla programistw
Group:		X11/Development/Libraries
Requires:	%{name}-gnome = %{version}
Requires:	%{name}-devel = %{version}
Requires:	gnome-libs-devel

%description gnome-devel
GNOME part of gdk-pixbuf library - development files.

%description gnome-devel -l pl
Cz gdk-pixbuf zwizana z GNOME - pliki dla programistw.

%package gnome-static
Summary:	GNOME part of gdk-pixbuf library - static version
Summary(pl):	Cz gdk-pixbuf zwizana z GNOME - wersja statyczna
Group:		X11/Development/Libraries
Requires:	%{name}-gnome-devel = %{version}

%description gnome-static
GNOME part of gdk-pixbuf library - static version.

%description gnome-static -l pl
Cz gdk-pixbuf zwizana z GNOME - wersja statyczna.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	%{?_without_gnome:--without-gnome}
%{__make} AS="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	HTML_DIR=%{_gtkdocdir}

# resolve conflict with gtk+2-devel
mv -f $RPM_BUILD_ROOT%{_gtkdocdir}/gdk-pixbuf{,-1.0}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	gnome -p /sbin/ldconfig
%postun	gnome -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdk*.so.*.*
%dir %{_libdir}/gdk-pixbuf
%dir %{_libdir}/gdk-pixbuf/loaders
%attr(755,root,root) %{_libdir}/gdk-pixbuf/loaders/lib*.so*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gdk-pixbuf-config
%attr(755,root,root) %{_libdir}/gdk*.sh
%attr(755,root,root) %{_libdir}/libgdk*.so
%attr(755,root,root) %{_libdir}/libgdk*.la
%dir %{_includedir}/gdk-pixbuf-1.0
%dir %{_includedir}/gdk-pixbuf-1.0/gdk-pixbuf
%{_includedir}/gdk-pixbuf-1.0/gdk-pixbuf/gdk*.h
%{_aclocaldir}/*
%dir %{_gtkdocdir}/gdk-pixbuf-1.0
%{_gtkdocdir}/gdk-pixbuf-1.0/[^g]*
%{_gtkdocdir}/gdk-pixbuf-1.0/g[^n]*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdk*.a
%{_libdir}/gdk-pixbuf/loaders/lib*.a

%if %{?_without_gnome:0}%{!?_without_gnome:1}
%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome*.so.*.*

%files gnome-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnome*.sh
%attr(755,root,root) %{_libdir}/libgnome*.so
%attr(755,root,root) %{_libdir}/libgnome*.la
%{_includedir}/gdk-pixbuf-1.0/gdk-pixbuf/gnome*.h
%{_gtkdocdir}/gdk-pixbuf-1.0/gnome*

%files gnome-static
%defattr(644,root,root,755)
%{_libdir}/libgnome*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gdk-pixbuf.spec,v $
Revision 1.65  2002/10/18 11:49:24  grzegol
- fixed Source0

Revision 1.64  2002/10/18 11:46:14  grzegol
- updated to 0.21.0

Revision 1.63  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.62  2002/09/17 00:14:28  qboosh
- nognome patch - allow building without gnome even if gnome-config is present
- added gtk-doc files (with fixed location, not conflicting with gtk+2-devel)
- removed libpng 1.2.2 hack
- release 2

Revision 1.61  2002/09/16 20:36:19  kloczek
- (auto)updated to 0.19.0: bug fixes in CMYK JPEG loader.

Revision 1.60  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.59  2002/06/18 21:06:35  kloczek
- updated to 0.18.0 (this release only fixes two bugs).

Revision 1.58  2002/05/23 05:26:39  kloczek
- merge translations from KSI,
- use new %doc packing infrastructure.

Revision 1.57  2002/05/23 01:04:51  wrobell
- ver. 0.17.0 /bugfix release/
- stb

Revision 1.56  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.55  2002/04/27 09:08:46  qboosh
- separated gnome subpackages (now base gdk-pixbuf shouldn't require gnome-libs)
- release 3.1 - please test

Revision 1.54  2002/04/25 16:21:37  arturs
fixed a small typo

Revision 1.53  2002/04/18 10:48:26  wiget
allow compilation with libpng 1.2.2

Revision 1.52  2002/04/16 09:57:55  wiget
fix compilation with automake 1.6 and autoconf 2.53

Revision 1.51  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.50  2002/02/23 02:06:17  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/26 07:15:52  kloczek
- updated to 0.16.0 (bugfix release).

Revision 1.47  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/12/14 00:11:14  kloczek
- updated to 0.14.0 (backport BMP loader from GTK+ 1.3).

Revision 1.45  2001/11/05 11:30:19  kura
- updated to 0.13.0

Revision 1.44  2001/10/20 00:46:24  kloczek
- cosmetics.

Revision 1.43  2001/10/19 22:28:34  qboosh
- updated am patch for automake 1.5
- removed --enable-canvas-pixbuf from configure - not used in 0.11.0
- release 10

Revision 1.42  2001/09/17 11:35:10  qboosh
- removed English "es" translations, cleanups

Revision 1.41  2001/09/02 19:58:48  kloczek
- relese 9: removed dumb Requires rule from devel Requires rules.

Revision 1.40  2001/08/30 08:50:22  kloczek
- release 8: added gdk-pixbuf-gnome to Obsoletes,

Revision 1.39  2001/07/21 20:19:16  kloczek
- release 6.

Revision 1.38  2001/07/21 19:14:30  blues
- --enable-canvas-pixbuf - needed for eel and nautilus

Revision 1.37  2001/07/11 00:22:50  qboosh
- _without_gnome
- typo

Revision 1.36  2001/07/09 10:33:39  kloczek
- release 5: rebuild in new ac 2.50 anviroment.

Revision 1.35  2001/06/23 07:33:03  kloczek
- release 4: "rn -f missing" before call automake in %build.

Revision 1.34  2001/05/07 23:15:50  misiek
release 2

Revision 1.33  2001/05/07 22:25:59  misiek
rebuild auto* and libtool stuff

Revision 1.32  2001/04/28 03:30:22  kloczek
- updated to 0.11.0.

Revision 1.31  2001/03/24 02:06:34  blues
- few translations

Revision 1.30  2001/03/12 21:57:23  kloczek
- updated to 0.10.1.

Revision 1.29  2001/03/02 12:02:25  kloczek
- updated to 0.10.0.

Revision 1.28  2001/02/28 05:05:43  kloczek
- release 5: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.27  2001/02/16 10:09:21  kloczek
- release 4: removed *.la files from plugins directory.

Revision 1.26  2000/10/27 00:59:04  kloczek
- release 3,
- rebuild against gnome-libs linked with db3,
- added Epoch: 1 (for allow upgrade from RH 7).

Revision 1.25  2000/10/16 23:30:15  kloczek
- release 2: use new rpm automation.

Revision 1.24  2000/08/27 23:55:59  kloczek
- updated to 0.9.0.

Revision 1.23  2000/07/28 13:57:07  zagrodzki
- release 5, built against libpng >= 1.0.8

Revision 1.22  2000/07/19 20:03:03  baggins
- release 4
- rebuild with libpng 1.0.7

Revision 1.21  2000/07/11 08:19:21  kloczek
- release 3,
- new summary.

Revision 1.20  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/22 19:45:49  kloczek
- updated to 0.8.0.

Revision 1.17  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.16  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.15  2000/04/14 09:33:06  kloczek
- updated to 0.7.0,
- added INCLUDES_fix patch with fix INCLUDES in
  gdk-pixbuf/pixops/Makefile.am.

Revision 1.14  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/29 22:58:14  arturs
-added %description -l pl

Revision 1.12  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.11  2000/02/27 14:15:13  mkochano
- More 'BuildRequires'.

Revision 1.10  2000/02/25 17:20:03  mkochano
- More 'BuildRequires'

Revision 1.9  2000/02/22 17:13:17  kloczek
- updated to 0.6.0.

Revision 1.8  2000/02/03 18:28:31  kloczek
- release 3,
- fixed typo in _m4datadir path (now aclocal macros for gdk-pixbuf are
  installed in proper place).

Revision 1.7  2000/01/27 17:01:43  kloczek
- release 2,
- recompiled in new enviroment libesd which not depends on liasound.

Revision 1.6  2000/01/23 23:55:55  kloczek
- typo in %files.

Revision 1.5  2000/01/23 23:43:03  kloczek
- updated to 0.5.0,
- adapter(ized) spec,
- License changed to LGPL,
- added aclocal macros file and gdk-pixbuf-config script to devel.

Revision 1.4  1999/11/09 23:24:11  kloczek
- update to 0.4.

Revision 1.3  1999/11/01 21:44:07  kloczek
- updated to 0.3.

Revision 1.2  1999/10/02 22:29:22  kloczek
- removed runing gettextize and automake from %build.

Revision 1.1  1999/10/02 22:24:26  kloczek
- the GdkPixBuf library provides spec file written from scrach.
